<?xml version="1.0" encoding="ISO-8859-1"?>
<cookbook xmlns:al="http://www.logilab.org/namespaces/Narval/1.2">


<al:recipe name="films">
  <al:description lang="en">
    processing of film commands
  </al:description>

  <al:step id="s0" type="action" target="Basic.NOP"/>
  
  <!-- entertainment -->
  <al:step id="s10" type="action" target="Entertainment.search-film"/>
  <al:step id="s11" type="action" target="Entertainment.record-postcode"/>
  <al:step id="s12" type="action" target="Entertainment.select-film"/>
  <al:step id="s13" type="action" target="Entertainment.ask-postcode">
    <al:input id="command">
      <al:match>elmt.name == 'search_film'</al:match>
    </al:input>
  </al:step>
  <al:step id="s14" type="action" target="Entertainment.init-xmltv"/>


  <al:step id="s2" type="action" target="Basic.NOP"/>
  
  <al:transition id="t1">
    <al:in idref="s0"/>
    <al:out idref="s10"/>
    <al:out idref="s11"/>
    <al:out idref="s12"/>
    <al:out idref="s13"/>
    <al:out idref="s14"/>
  </al:transition>

  <al:transition id="t4">
    <al:in idref="s11"/>
    <al:out idref="s10"/>
  </al:transition>

  <al:transition id="t5">
    <al:in idref="s10"/>
    <al:out idref="s2"/>
  </al:transition>
  <al:transition id="t6">
    <al:in idref="s12"/>
    <al:out idref="s2"/>
  </al:transition>
  <al:transition id="t7">
    <al:in idref="s13"/>
    <al:out idref="s2"/>
  </al:transition>
  <al:transition id="t8">
    <al:in idref="s14"/>
    <al:out idref="s2"/>
  </al:transition>

</al:recipe>

</cookbook>
